import { Field, ObjectType } from '@nestjs/graphql';
import { GraphQLInt } from 'graphql/type';

@ObjectType('Group')
export class GroupModel {
	@Field()
	id: string;

	@Field()
	name: string;

	@Field({ nullable: true })
	slug?: string;

	@Field(() => GraphQLInt)
	tokens: number;

	@Field({ nullable: true })
	deleted?: boolean;
}
