import { Field, ObjectType } from '@nestjs/graphql';
import { GraphQLInt } from 'graphql/type';
import { AgentModel } from './agent.model';

@ObjectType('TokenCode')
export class TokenCodeModel {
	@Field()
	id: string;

	@Field(() => GraphQLInt)
	value: number;

	@Field(() => AgentModel)
	agent: AgentModel;

	@Field({ nullable: true })
	deleted?: boolean;
}
