import { Module } from '@nestjs/common';
import { TelegramService } from './telegram.service';
import { MinioModule } from '../minio/minio.module';
import { SubscriptionModule } from '../subscriptions/subscription.module';
import { UtilModule } from '../utils/util.module';

@Module({
	imports: [MinioModule, SubscriptionModule, UtilModule],
	providers: [TelegramService],
})
export class TelegramModule {}
