import { Module } from '@nestjs/common';
import { EntryService } from './entry.service';
import { TokenCodeScheduler } from './token-code.scheduler';
import { SubscriptionModule } from '../subscriptions/subscription.module';

@Module({
	imports: [SubscriptionModule],
	providers: [EntryService, TokenCodeScheduler],
	exports: [EntryService],
})
export class UtilModule {}
